Bug 1478580 - why is usb reset on close forced on android devices ?
why is usb reset on close forced on android devices ?
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libmtp (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 16:54 EDT by Fabrice Bellet
Modified: 2018-05-29 07:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:50:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2017-08-04 16:54:25 EDT
Hi!

I noticed that the behavior of libmtp via gvfs is to reset an android device when it is closed, based on the macro DEVICE_FLAGS_ANDROID_BUGS containing the value DEVICE_FLAG_FORCE_RESET_ON_CLOSE in device-flags.h. 

On my samsung I9300, it has the side effect that it's not possible to make gvfs unmount the device /and/ let the device stay unmounted. After issuing the command "gio mount -u mtp://xxxx", the device immediately reappears with an incremented device number, and will be automatically mounted again by gvfs (the default gsettings parameter /org/gnome/desktop/media-handling/automount is true).

Aug 03 13:53:30 kernel: usb 3-1: reset high-speed USB device number 44 using xhci_hcd
Aug 03 13:53:30 kernel: usb 3-1: USB disconnect, device number 44
Aug 03 13:53:31 kernel: usb 3-1: new high-speed USB device number 45 using xhci_hcd
Aug 03 13:53:31 gvfsd[26254]: Android device detected, assigning default bug flags
Aug 03 13:53:31 kernel: usb 3-1: New USB device found, idVendor=04e8, idProduct=6860
Aug 03 13:53:31 kernel: usb 3-1: New USB device strings: Mfr=2, Product=3, SerialNumber=4
Aug 03 13:53:31 kernel: usb 3-1: Product: GT-I9300
Aug 03 13:53:31 kernel: usb 3-1: Manufacturer: samsung

I'm wondering if this bug flag is (still) required for android devices in the context of the gnome desktop usage ?
Comment 1 Fedora End Of Life 2018-05-03 04:25:00 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2018-05-29 07:50:16 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.